AI resources
Cancel agreement

This endpoint allows canceling an existing link by its ID, revoking the seller's authorization to process payments from the buyer's wallet. In case of success, the request will return a response with status 200.

DELETE

https://api.mercadopago.com/v2/wallet_connect/agreements/{agreement_id}
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
x-platform-id
string
Identifier for platforms or modules that offer Mercado Pago within their solutions.
Path
agreement_id
string

REQUIRED

Unique identifier of the agreement.
Query
client.id
number
Unique identifier of the client application.
Response parameters
Esta solicitação não tem resposta
Errors

400Request error.

400

Bad Request.

404Error. Resource not found.

404

Not Found.

500Processing error.

internal_error

Some error occurred on our side while attempting to process the request. Please try again later.

Request
curl -X DELETE \
    'https://api.mercadopago.com/v2/wallet_connect/agreements/{agreement_id}?client.id=<CLIENT_ID>'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-1*********550113-12*********b4773884a*********e8df16347*********786' \
       -H 'x-platform-id: YOUR_PLATFORM_ID' \
    
Response
// This request has not been responded to.